---
# Variable names should be letters, numbers, and underscores: https://docs.ansible.com/ansible/2.5/user_guide/playbooks_variables.html#what-makes-a-valid-variable-name
# Inherit group value to keep it DRY: https://docs.ansible.com/ansible/latest/user_guide/intro_inventory.html#inheriting-variable-values-group-variables-for-groups-of-groups
all:
  children:
    ecu_testers:
      children:
        atxpsu:
          hosts:
            atx-psu-smoker1:
          vars:
            can_iface_cfgs:
              - orig: can0
                name: AI_CAN
        bbc:
          hosts:
            bbc-feature1:
              psu_cfgs:
                 - id_product: 0e11
                   id_vendor: 1ab1
                   serial_number: DP8C214404811
                   symlink: psu1
                 - id_product: 0e11
                   id_vendor: 1ab1
                   serial_number: DP8C214404772
                   symlink: psu2
            bbc-smoker1:
          vars:
            can_iface_cfgs:
              - orig: can1
                name: BMS_CAN
              - bitrate: 50000
                orig: can2
                name: GTC_CAN
        bmu:
          children:
            bmu_v4:
              hosts:
                bmu-feature1:
                bmu-feature2:
                bmu-smoker2:
                bmu-smoker4:
                bmu-smoker5:
              vars:
                can_iface_cfgs:
                  - orig: can0
                    name: EMU_BDY_CAN2
                  - orig: can1
                    name: EMU_DR_CAN3
                  - orig: can2
                    name: EMU_DR_CAN4
                  - orig: can3
                    name: BDY_CAN2
                  - orig: can4
                    name: DR_CAN3
                  - orig: can5
                    name: DR_CAN4
                  - orig: can6
                    name: DR_CAN2
                  - orig: can7
                    name: DR_CAN4B
        ccc:
          hosts:
            ccc-feature1:
              psu_cfgs:
                - id_product: 0e11
                  id_vendor: 1ab1
                  serial_number: DP8C213703537
                  symlink: psu1
                - id_product: 0e11
                  id_vendor: 1ab1
                  serial_number: DP8C214404769
                  symlink: psu2
            ccc-smoker1:
          vars:
            can_iface_cfgs:
              - bitrate: 50000
                orig: can1
                name: GTC_CAN
              - orig: can2
                name: CHG_CAN
        dcu:
          hosts:
            dcu-feature1:
            dcu-smoker1:
            dcu-smoker2:
          vars:
            can_iface_cfgs:
              - orig: can0
                name: BDY_CAN1
              - orig: can1
                name: BDY_CAN2
        emu:
          children:
            emu_v4:
              hosts:
                emu-cas1:
                emu-feature1:
                emu-feature2:
                emu-feature3:
                emu-feature4:
                emu-feature5:
                emu-feature6:
                emu-feature7:
                emu-feature8:
                emu-feature9:
                emu-mon1:
                emu-smoker1:
                emu-smoker5:
              vars:
                can_iface_cfgs:
                  - orig: can0
                    name: AI_CAN
                  - orig: can1
                    name: BDY_CAN1
                  - orig: can2
                    name: DR_CAN1
                  - orig: can3
                    name: DR_CAN2
                  - orig: can4
                    name: EMU_BDY_CAN2
                  - orig: can5
                    name: EMU_DR_CAN3
                  - orig: can6
                    name: EMU_DR_CAN4
                  - orig: can7
                    name: DIAG_CAN
            emu_subsystem:
              hosts:
                emu-lux1:
              vars:
                can_iface_cfgs:
                  - orig: can0
                    name: AI_CAN
                  - orig: can1
                    name: BDY_CAN1
                  - orig: can2
                    name: DR_CAN1
                  - orig: can3
                    name: DR_CAN2
                  - orig: can4
                    name: EMU_BDY_CAN2
                  - orig: can5
                    name: EMU_DR_CAN3
                  - orig: can6
                    name: EMU_DR_CAN4
                  - orig: can7
                    name: DIAG_CAN
                  - orig: can8
                    name: BDY_CAN2
                  - orig: can9
                    name: LUX_LUX_CAN
        loki:
          hosts:
            loki-tester1:
          vars:
            can_iface_cfgs:
              - orig: can0
                name: CAN1
              - orig: can1
                name: CAN2
              - orig: can2
                name: CAN3
              - orig: can3
                name: CAN4
              - orig: can4
                name: CAN5
              - orig: can5
                name: CAN6
        ptp:
          hosts:
            ptp-tester:
          vars:
            can_iface_cfgs:
              - orig: can0
                name: AI_CAN
              - orig: can1
                name: BDY_CAN1
              - orig: can2
                name: DR_CAN1
              - orig: can3
                name: DR_CAN2
              - orig: can4
                name: EMU_BDY_CAN2
              - orig: can5
                name: EMU_DR_CAN3
              - orig: can6
                name: EMU_DR_CAN4
              - orig: can7
                name: DIAG_CAN
        tbc:
          hosts:
            tbc-hvac1:
            tbc-lighting1:
            tbc-pt-cooling1:
            tbc-smoker1:
            tbc-smoker2:
            tbc-smoker3:
          vars:
            can_iface_cfgs:
              - orig: can0
                name: BDY_CAN1
              - orig: can1
                name: BDY_CAN2
        tbc_l3:
          hosts:
            tbc-l3-feature1:
          vars:
            can_iface_cfgs:
              - orig: can0
                name: AI_CAN
              - orig: can1
                name: CH_CAN
              - orig: can2
                name: AMP_CAN
              - orig: can3
                name: BDY_CAN2
      vars:
        users_list:
          - robot
          - svc-citeststation
          - svc-teststation
          #fw-val
          - emiddleton
          - dparikh
          - trawat
          - smutha
          - skapre
          - rnandisha
          - rnarula
          - jramos
          - sdaleo
          - jpetrie
          - jjacinto
          - eayer
          - jsenna
          - agurusami
          - gsankararaman
          - elinxie
          - x-dbahr
          #fw
          - nigil
          - atammewar
          - dredfern
          - pchandrian
          - cpearson
          - fmarchand
          - mdickerson
          - awilke
          - eshyu
          - dburgess
          - avadali
          - mdai
          - scheng
          - ebennis
          - amartir
          - adesai
          - mtilson
          - ashigapov
          - mlopez
          - mozkan
          - agurusami
          - epence
          - cchang
          - clee
          - sroy
          - tllado
          - amocarski
          - ccostello
          - ygu
          - bhallawell
          - shurd
          - strivedi
          - akumar
          - mryan
          - atran
          - asehgal
          - ashigapov
          - rsramesh
          - ppeng
          - hchan
          - ukarmarkar
          - mkoch
          - mstiaszny
          - snichols
          #core
          - pkhorsand
          - sdarayan
          - austin
          - rafe
          - ysong
          - ipolevoy
          - echeshire
          - jklemens
          - rhabeeb
          #closures
          - tdennis
          - bcheringal
          - isadowski
          - amapson
          #tools
          - cmadere
          - jwarner
          - ycui
          #sdma
          - ekwan
          - mmizrahi
          #hwsi
          - hyang
          - ekwok
          - ihartwig
          - jvelez
          - x-ceijk
          - x-yjiang
          - tsubramanian
          - ffei
          #AHE
          - khan
          - psumberac
          - mho
          - cakrivoulis
          - mrohs
          - jtillman
          #VE
          - tguo
